var etiquetaLanzador='<svg class="lanzador__clipPath" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 418 300"><clipPath id="lanzador__imagen--clipPath"><path d="M396.8,0c-2.7,11.5-2.4,24.2-0.8,34.6c3.6,23,13.4,44.7,18.3,67.5c7.1,32.8,3.8,68.2-9.2,98.7c-14.6,34.2-41.1,64-49.8,99.2H31c-9-18-11-39.9-4.2-59c10.4-29.1,38.1-50,42.1-80.9c3.2-25.2-10.8-49.1-26.1-68.4S9.5,54.2,2.2,29.9C-1.2,19.1,0.1,9.9,0.9,0H396.8z"></path></clipPath></svg>';


//on ready
$("body").append(etiquetaLanzador);


edModalInit();


//funcion que coloca el número de versión
function version() {
    $('.menu').after('<footer class="contenedor footer animsition"><p class="footer__texto">Currículos Exploratorios en TIC</p><img class="footer__logoUtp animated fadeInUp" src="../../../assets/img/logo-utp.png" alt="UTP"></footer>');
}


//funcion responsable de inicializar todos los modales
function edModalInit() {
    //crea dianamicamente el atributo de  data-edModal en el boton cerrar de cada modal
    $('[data-edModal]').each(activarEventos);
    //activa el evento para abrir el modal 
    //$('[data-edModal]').off('click', edModalOpen);
    //$('[data-edModal]').on('click', edModalOpen);
    //activa el evento de cierre del modal
    $('.js-edModal__cerrar').off('click', edModalClose);
    $('.js-edModal__cerrar').on('click', edModalClose);
    //activa evento de cierre de modal con clic por fuera
    $('.js-edModal__fondo').off('click', edModalCloseOut);
    $('.js-edModal__fondo').on('click', edModalCloseOut);
}
//funcion responsable de activar los eventos del modal
function activarEventos(index) {
    var IdModal = $(this).attr('data-edModal');
    $('#edModal-' + IdModal + ' .js-edModal__cerrar').attr('data-edModalId', IdModal);
}
//funcion responsable de cerrar cuando da clic por fuera del fondo
function edModalCloseOut(event) {
    $(this).parent().removeClass('edModal--activo');
    $('body').css('overflow', 'initial');
}
//funcion responsable de abrir el modal
function edModalOpen(idModal) {
    $(idModal).removeClass('edModal--activo');
    $(idModal).addClass('edModal--activo');
    $('body').css('overflow', 'hidden');
}
//funcion responsable de cerrar el modal
function edModalClose(event) {
    $('#edModal-1').removeClass('edModal--activo');
    $('body').css('overflow', 'initial');
}

//Mostrar calificación
function mostrarCalificacion(modalID, puntaje, mensaje, exito, resetcallback) {
    console.log('modalID ', modalID)
    var modal = $(modalID);
    var textoPuntaje = $('.tablero__puntaje');
    var textoMensaje = $('.tablero__mensaje');
    textoPuntaje.html(puntaje);
    textoMensaje.html(mensaje);
    if (exito) {
        modal.removeClass('modalCalificacion--incorrecto');
        modal.addClass('modalCalificacion--correcto');
        reproducirAudio('../../../assets/audio/exito-actividad');
    } else {
        modal.removeClass('modalCalificacion--correcto');
        modal.addClass('modalCalificacion--incorrecto');
        reproducirAudio('../../../assets/audio/error-actividad');
    }
    edModalOpen(modalID);
    if (resetcallback) {
        $('.js-edModal__cerrar').off('click', resetcallback);
        $('.js-edModal__cerrar').on('click', resetcallback);
    }
}



